Debian Bug report logs - #528453
please discourage overly strict run-time version checks

version graph

Package: debian-policy; Maintainer for debian-policy is Debian Policy List <debian-policy@lists.debian.org>; Source for debian-policy is src:debian-policy.

Reported by: Gabriele 'LightKnight' Stilli <superenzima@libero.it>

Date: Wed, 13 May 2009 01:45:02 UTC

Severity: wishlist

Found in version debian-policy/3.9.1.0

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian JED Group <pkg-jed-devel@lists.alioth.debian.org>:
Bug#528453; Package jed. (Wed, 13 May 2009 01:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gabriele 'LightKnight' Stilli <superenzima@libero.it>:
New Bug report received and forwarded. Copy sent to Debian JED Group <pkg-jed-devel@lists.alioth.debian.org>. (Wed, 13 May 2009 01:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gabriele 'LightKnight' Stilli <superenzima@libero.it>
To: submit@bugs.debian.org
Subject: [jed] ***Warning: Executable compiled against S-Lang 20104 but linked to 20103
Date: Wed, 13 May 2009 03:41:54 +0200
[Message part 1 (text/plain, inline)]
Package: jed
Version: 1:0.99.18+dfsg.1-12
Severity: normal

--- Please enter the report below this line. ---
Hi,

the warning in the subject pops up on the terminal every time I run jed:

***Warning: Executable compiled against S-Lang 20104 but linked to 20103

Apart from this, it seems to run fine.

Cheers,
Gabriele :-)

--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.29.2

Debian Release: squeeze/sid
  500 testing         security.debian.org 
  500 testing         ftp.it.debian.org 

--- Package information. ---
Depends                       (Version) | Installed
=======================================-+-=========================
libc6                          (>= 2.1) | 2.9-4
libgpm2                     (>= 1.20.4) | 1.20.4-3.2
libslang2                  (>= 2.0.7-1) | 2.1.3-3
jed-common     (>= 1:0.99.18+dfsg.1-12) | 1:0.99.18+dfsg.1-12


Package's Recommends field is empty.

Suggests      (Version) | Installed
=======================-+-===========
gpm                     | 1.20.4-3.2

-- 
http://poisson.phc.unipi.it/~stilli/               ICQ UIN: 159169930
[HT] Lothlorien F.C. (51042, V.192)               #156 Club dei Mille
Meglio essere ottimisti e avere torto, che pessimisti e avere ragione
[Albert Einstein]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian JED Group <pkg-jed-devel@lists.alioth.debian.org>:
Bug#528453; Package jed. (Mon, 18 May 2009 07:52:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jörg Sommer <joerg@alea.gnuu.de>:
Extra info received and forwarded to list. Copy sent to Debian JED Group <pkg-jed-devel@lists.alioth.debian.org>. (Mon, 18 May 2009 07:52:02 GMT) Full text and rfc822 format available.

Message #10 received at 528453@bugs.debian.org (full text, mbox):

From: Jörg Sommer <joerg@alea.gnuu.de>
To: Gabriele 'LightKnight' Stilli <superenzima@libero.it>
Cc: 528453@bugs.debian.org
Subject: Re: Bug#528453: [jed] ***Warning: Executable compiled against S-Lang 20104 but linked to 20103
Date: Mon, 18 May 2009 09:09:05 +0200
[Message part 1 (text/plain, inline)]
Hi Gabriele,

Gabriele 'LightKnight' Stilli hat am Wed 13. May, 03:41 (+0200) geschrieben:
> Package: jed
> Version: 1:0.99.18+dfsg.1-12
> Severity: normal
> 
> --- Please enter the report below this line. ---
> Hi,
> 
> the warning in the subject pops up on the terminal every time I run jed:
> 
> ***Warning: Executable compiled against S-Lang 20104 but linked to 20103

This is a known problem. This warning raises up everytime jed migrates to
testing before libslang2.

> Apart from this, it seems to run fine.

Due to this we won't add a dependency on a special version of libslang2
to ensure that jed doesn't go to testing before libslang2.

Bye, Jörg.
-- 
Wenn Du jedesmal stehen bleibst, wenn ein Hund bellt, wirst du Deine Reise
nie beenden.                                       (Arabisches Sprichwort)
[signature.asc (application/pgp-signature, inline)]

Added tag(s) wontfix. Request was from Jörg Sommer <joerg@alea.gnuu.de> to control@bugs.debian.org. (Mon, 23 Nov 2009 20:48:10 GMT) Full text and rfc822 format available.

Message sent on to Gabriele 'LightKnight' Stilli <superenzima@libero.it>:
Bug#528453. (Mon, 23 Nov 2009 21:06:14 GMT) Full text and rfc822 format available.

Message #15 received at 528453-submitter@bugs.debian.org (full text, mbox):

From: Jörg Sommer <joerg@alea.gnuu.de>
To: control@bugs.debian.org
Cc: 528453-submitter@bugs.debian.org, Jed Package Mailinglist <pkg-jed-devel@lists.alioth.debian.org>
Subject: Tagging #528453 wontfix
Date: Sun, 22 Nov 2009 19:37:40 +0100
[Message part 1 (text/plain, inline)]
package jed
tag 528453 + wontfix
thanks

This report didn't really describe a bug. It's more a (loosely) feature
of Jed to check if the version used at runtime is at least as recent as
the version used while building. As said before, this warning comes up
everytime jed migrates faster to testing than libslang and vanishes when
libslang migrated.

We don't want to add a dependency to jed on the libslang version used at
buildtime, because this would drive the dynamic dependency system of
Debian useless—Debian's symbol bases dependency system is much more
accurate than jed's loosely feature. Jed wouldn't be installable on
testing or stable while the symbols of libslang didn't change since this
release and jed would work perfectly.

Because this problem raises one time every year or every two years this
bug report should be kept open to prevent further bug reports.

Bye, Jörg.
-- 
Man soll Denken lehren, nicht Gedachtes.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian JED Group <pkg-jed-devel@lists.alioth.debian.org>:
Bug#528453; Package jed. (Fri, 01 Jan 2010 10:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian JED Group <pkg-jed-devel@lists.alioth.debian.org>. (Fri, 01 Jan 2010 10:33:06 GMT) Full text and rfc822 format available.

Message #20 received at 528453@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 528453@bugs.debian.org
Subject: Re: Tagging #528453 wontfix
Date: Fri, 1 Jan 2010 10:42:23 +0000
Hi,

Jörg Sommer wrote:
> package jed
> tag 528453 + wontfix
> thanks
> 
> This report didn't really describe a bug. It's more a (loosely) feature
> of Jed to check if the version used at runtime is at least as recent as
> the version used while building. As said before, this warning comes up
> everytime jed migrates faster to testing than libslang and vanishes when
> libslang migrated.
> 
> We don't want to add a dependency to jed on the libslang version used at
> buildtime, because this would drive the dynamic dependency system of
> Debian useless—Debian's symbol bases dependency system is much more
> accurate than jed's loosely feature.

Why not suppress the warning?

Curious,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian JED Group <pkg-jed-devel@lists.alioth.debian.org>:
Bug#528453; Package jed. (Mon, 04 Jan 2010 13:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jörg Sommer <joerg@alea.gnuu.de>:
Extra info received and forwarded to list. Copy sent to Debian JED Group <pkg-jed-devel@lists.alioth.debian.org>. (Mon, 04 Jan 2010 13:03:10 GMT) Full text and rfc822 format available.

Message #25 received at 528453@bugs.debian.org (full text, mbox):

From: Jörg Sommer <joerg@alea.gnuu.de>
To: Jonathan Nieder <jrnieder@gmail.com>, 528453@bugs.debian.org
Subject: Re: Bug#528453: Tagging #528453 wontfix
Date: Mon, 4 Jan 2010 13:14:54 +0100
[Message part 1 (text/plain, inline)]
Hello Jonathan,

Jonathan Nieder hat am Fri 01. Jan, 10:42 (+0000) geschrieben:
> Jörg Sommer wrote:
> > package jed
> > tag 528453 + wontfix
> > thanks
> > 
> > This report didn't really describe a bug. It's more a (loosely) feature
> > of Jed to check if the version used at runtime is at least as recent as
> > the version used while building. As said before, this warning comes up
> > everytime jed migrates faster to testing than libslang and vanishes when
> > libslang migrated.
> > 
> > We don't want to add a dependency to jed on the libslang version used at
> > buildtime, because this would drive the dynamic dependency system of
> > Debian useless—Debian's symbol bases dependency system is much more
> > accurate than jed's loosely feature.
> 
> Why not suppress the warning?

Because upstream decided the warning should be there and we do not want
to add a new patch for this.

Salut, Jörg.
-- 
The social dynamics of the net are a direct consequence of the fact
that nobody has yet developed a Remote Strangulation Protocol.
            (Larry Wall)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian JED Group <pkg-jed-devel@lists.alioth.debian.org>:
Bug#528453; Package jed. (Thu, 24 Mar 2011 11:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian JED Group <pkg-jed-devel@lists.alioth.debian.org>. (Thu, 24 Mar 2011 11:57:03 GMT) Full text and rfc822 format available.

Message #30 received at 528453@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Jörg Sommer <joerg@alea.gnuu.de>
Cc: 528453@bugs.debian.org, debian-policy@packages.debian.org
Subject: debian policy: please discourage overly strict run-time version checks
Date: Thu, 24 Mar 2011 06:55:16 -0500
reassign 528453 debian-policy 3.9.1.0
severity 528453 wishlist
retitle 528453 debian policy: please discourage overly strict run-time version checks
tags 528453 - wontfix
quit

Hi,

Jörg Sommer wrote:
> Jonathan Nieder hat am Fri 01. Jan, 10:42 (+0000) geschrieben:
>> Jörg Sommer wrote:

>>> This report didn't really describe a bug. It's more a (loosely) feature
>>> of Jed to check if the version used at runtime is at least as recent as
>>> the version used while building. As said before, this warning comes up
>>> everytime jed migrates faster to testing than libslang and vanishes when
>>> libslang migrated.
>>>
>>> We don't want to add a dependency to jed on the libslang version used at
>>> buildtime, because this would drive the dynamic dependency system of
>>> Debian useless—Debian's symbol bases dependency system is much more
>>> accurate than jed's loosely feature.
>>
>> Why not suppress the warning?
>
> Because upstream decided the warning should be there and we do not want
> to add a new patch for this.

Debian policy does not explain that packages should not do this, but I
think that's a bug in policy.

This reminds me of a few bugs I've seen before: one in subversion (an
overly strict run-time check for APR version) and one in various apps
that use the tcl runtime (likewise).  Reassigning.  (Thoughts welcome,
as always.)




Bug reassigned from package 'jed' to 'debian-policy'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 24 Mar 2011 11:57:09 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions jed/1:0.99.18+dfsg.1-12. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 24 Mar 2011 11:57:10 GMT) Full text and rfc822 format available.

Bug Marked as found in versions debian-policy/3.9.1.0. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 24 Mar 2011 11:57:10 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 24 Mar 2011 11:57:10 GMT) Full text and rfc822 format available.

Changed Bug title to 'debian policy: please discourage overly strict run-time version checks' from '[jed] ***Warning: Executable compiled against S-Lang 20104 but linked to 20103' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 24 Mar 2011 11:57:11 GMT) Full text and rfc822 format available.

Removed tag(s) wontfix. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 24 Mar 2011 11:57:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#528453; Package debian-policy. (Thu, 24 Mar 2011 19:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Thu, 24 Mar 2011 19:39:07 GMT) Full text and rfc822 format available.

Message #47 received at 528453@bugs.debian.org (full text, mbox):

From: Bill Allombert <Bill.Allombert@math.u-bordeaux1.fr>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Jörg Sommer <joerg@alea.gnuu.de>, 528453@bugs.debian.org, debian-policy@packages.debian.org
Subject: Re: debian policy: please discourage overly strict run-time version checks
Date: Thu, 24 Mar 2011 20:38:10 +0100
On Thu, Mar 24, 2011 at 06:55:16AM -0500, Jonathan Nieder wrote:
> reassign 528453 debian-policy 3.9.1.0
> severity 528453 wishlist
> retitle 528453 debian policy: please discourage overly strict run-time version checks
> tags 528453 - wontfix
> quit
> 
> Hi,
> 
> Jörg Sommer wrote:
> > Jonathan Nieder hat am Fri 01. Jan, 10:42 (+0000) geschrieben:
> >> Jörg Sommer wrote:
> 
> >>> This report didn't really describe a bug. It's more a (loosely) feature
> >>> of Jed to check if the version used at runtime is at least as recent as
> >>> the version used while building. As said before, this warning comes up
> >>> everytime jed migrates faster to testing than libslang and vanishes when
> >>> libslang migrated.
> >>>
> >>> We don't want to add a dependency to jed on the libslang version used at
> >>> buildtime, because this would drive the dynamic dependency system of
> >>> Debian useless—Debian's symbol bases dependency system is much more
> >>> accurate than jed's loosely feature.
> >>
> >> Why not suppress the warning?
> >
> > Because upstream decided the warning should be there and we do not want
> > to add a new patch for this.
> 
> Debian policy does not explain that packages should not do this, but I
> think that's a bug in policy.
> 
> This reminds me of a few bugs I've seen before: one in subversion (an
> overly strict run-time check for APR version) and one in various apps
> that use the tcl runtime (likewise).  Reassigning.  (Thoughts welcome,
> as always.)

Another similar warning: the dynamic loader sometime output a warning
"symbol xxx size has changed, consider relinking"
when a library is updated to a new minor version.
(It was libreadline in etch IIRC).

While I agree that such warnings cause problems, this is an upstream issue
and Debian policy is not very efficient at adressing upstream issues, because
upstream are not bound by Debian policy.

Cheers,
-- 
Bill. <ballombe@debian.org>

Imagine a large red swirl here. 




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Policy List <debian-policy@lists.debian.org>:
Bug#528453; Package debian-policy. (Fri, 25 Mar 2011 04:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Policy List <debian-policy@lists.debian.org>. (Fri, 25 Mar 2011 04:36:03 GMT) Full text and rfc822 format available.

Message #52 received at 528453@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 528453@bugs.debian.org
Subject: Re: debian policy: please discourage overly strict run-time version checks
Date: Thu, 24 Mar 2011 23:32:47 -0500
(culled cc list)
Bill Allombert wrote:

> Another similar warning: the dynamic loader sometime output a warning
> "symbol xxx size has changed, consider relinking"
> when a library is updated to a new minor version.
> (It was libreadline in etch IIRC).

Right, that sounds like a bug.

> While I agree that such warnings cause problems, this is an upstream issue
> and Debian policy is not very efficient at adressing upstream issues, because
> upstream are not bound by Debian policy.

This particular issue (program-specific version checks, not "size of
symbol") does seem to me to fall in the scope of Debian policy.
Consider:

Upstream has good reason to do what they do, to support platforms like
Windows without the ability to declare dependencies through the
package manager;

All that is needed for better integration in Debian is to _disable_
upstream's mechanism.  A patch to make it optional can be submitted
upstream.

Other distros would benefit from the result as well.

Jonathan




Changed Bug title to 'please discourage overly strict run-time version checks' from 'debian policy: please discourage overly strict run-time version checks' Request was from Russ Allbery <rra@debian.org> to control@bugs.debian.org. (Mon, 04 Apr 2011 03:15:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 08:08:51 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.